/*
 * Copyright (C) 2018 Open Source Robotics Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
*/

#include <string>

namespace ignition
{
  namespace fuel_tools
  {
    /// \brief Download the specified asset into the default configuration of
    /// fuel tools. This will place the asset in ~/.ignition/fuel.
    /// \param[in] _uri URI to the asset.
    /// \return Path to the downloaded asset. Empty on error.
    std::string fetchAsset(const std::string &_uri);
  }
}
